Bug 142099 - missing expression in return statement
missing expression in return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 05:40 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-29 17:13:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-07 05:40:03 EST
Description of problem:

I just tried to compile package NetworkManager-0.3.1-3 from 
Redhat Fedora Core 3.

The compiler said

NMWirelessAppletDbus.c(853): warning #117: non-void function
"nmwa_dbus_update_active_device_strength" should return a value

The source code is

static gboolean nmwa_dbus_update_active_device_strength (gpointer
user_data)
{
        NMWirelessApplet *applet;

        g_return_if_fail (user_data != NULL);

I agree with the compiler. This code would benefit from re-work to ensure
that this non-void function does return a value.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2005-01-29 17:13:10 EST
Should be fixed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.